Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class SurrogateRegexTranslator

    java.lang.Object
      net.sf.saxon.regex.RegexTranslator
          net.sf.saxon.regex.SurrogateRegexTranslator

Direct Known Subclasses:
  JDK14RegexTranslator

    public abstract class SurrogateRegexTranslator

extends RegexTranslator

Abstract superclass for the JDK 1.4 and .NET regex translators, or in principle for any other target regex dialect in which "." matches a UTF-16 16-bit code rather than a Unicode character

Nested Class Summary
`static class` | `SurrogateRegexTranslator.BackReference` Character class representing a back-reference.
`static class` | `SurrogateRegexTranslator.CharRange` Character class that matches any character within a range of codepoints
`static class` | `SurrogateRegexTranslator.Complement` Character class representing the complement of another character class, that is, all characters that the other class doesn't match.
`static class` | `SurrogateRegexTranslator.Dot` Character class representing the characters matched by the XPath "." metacharacter
`static class` | `SurrogateRegexTranslator.Empty` Character class that matches nothing
`static class` | `SurrogateRegexTranslator.Property` Character class containing characters that share a given Unicode property
`static class` | `SurrogateRegexTranslator.SimpleCharClass` Simple Character Class - essentially, anything other than a Union or Subtraction between two character classes.
`static class` | `SurrogateRegexTranslator.SingleChar` Character class that matches a single specific character in the BMP
`static class` | `SurrogateRegexTranslator.WideSingleChar` Character class that matches a single specific character outside the BMP

Nested classes/interfaces inherited from class net.sf.saxon.regex.RegexTranslator
`RegexTranslator.Range`

Field Summary

Fields inherited from class net.sf.saxon.regex.RegexTranslator
`ALL, NONE, NOT_ALLOWED_CLASS, SOME, SURROGATES1_CLASS, SURROGATES2_CLASS`

Constructor Summary
`SurrogateRegexTranslator()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator

    public SurrogateRegexTranslator()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.